%  function [y,qbuf] = digfil(x, a, b0, b, qbuf, N)
%  digital filter
%  a = denominator array (of length N)
%  b = numerator array (of length N)
%  b0= feedthru term of numerator
%  qbuf = buffer for past values of q (of length N)

function [y,qbuf]=digfil(x,a,b0,b,qbuf,N)
q=x-a*qbuf;
y=b0*q +b*qbuf;
qbuf=[q;qbuf(1:N-1)];
